Get a metadata list
Server:
https://{kibana_url}
- GET /api/endpoint/metadata
- GET /s/{space_id}/api/endpoint/metadata
Refer to Spaces for more information.
Get a list of all endpoint host metadata.
Query Parameters
-
pageinteger · min: 1 · default: 1 The page number to return.
-
pageSizeinteger · min: 1 · max: 100 · default: 10 The number of endpoints to return per page.
-
kuerystring A KQL string to filter the endpoint metadata results.
-
hostStatusesobject · max: 20required A set of host statuses to filter the results by (for example,
healthy,updating).-
Values:
healthyofflineupdatinginactiveunenrolled -
sortField The field used to sort the results.
-
Values:
enrolled_atmetadata.host.hostnamehost_statusmetadata.Endpoint.policy.applied.namemetadata.Endpoint.policy.applied.statusmetadata.host.os.namemetadata.host.ipmetadata.agent.versionlast_checkin
Response
Indicates a successful call.
Response Type: object